KDE 4.9 PyKDE API Reference

- KDE's Python API

# KCategoryDrawer Class Reference

`from PyKDE4.kdeui import *`

Subclasses: KCategoryDrawerV2

## Detailed Description

Deprecated:

The category drawing is performed by this class. It also gives information about the category height and margins.

Warning:
  Please use KCategoryDrawerV3 instead

## Methods

| __init__ (self)
int | categoryHeight (self, QModelIndex index, QStyleOption option)
| drawCategory (self, QModelIndex index, int sortRole, QStyleOption option, QPainter painter)
int | leftMargin (self)
int | rightMargin (self)
| setLeftMargin (self, int leftMargin)
| setRightMargin (self, int rightMargin)

## Method Documentation

__init__ | ( |  | self ) |

int categoryHeight | ( | self, |
|  | QModelIndex | index,
|  | QStyleOption | option
| ) |  |  |

Returns:
  The category height for the category representated by index index with style options option.

drawCategory | ( | self, |
|  | QModelIndex | index,
|  | int | sortRole,
|  | QStyleOption | option,
|  | QPainter | painter
| ) |  |  |

This method purpose is to draw a category represented by the given

Parameters:

  | index | with the given
  | sortRole | sorting role

Note:
  This method will be called one time per category, always with the first element in that category

int leftMargin | ( |  | self ) |

Note:
  0 by default

Since:
  4.4

int rightMargin | ( |  | self ) |

Note:
  0 by default

Since:
  4.4

setLeftMargin | ( | self, |
|  | int | leftMargin
| ) |  |  |

Note:
  call to this method on the KCategoryDrawer constructor to set the left margin

Since:
  4.4

setRightMargin | ( | self, |
|  | int | rightMargin
| ) |  |  |

Note:
  call to this method on the KCategoryDrawer constructor to set the right margin

Since:
  4.4